Bug 191852 - www/w3m should not use RAND_egd as it is absent in FreeBSD
Summary: www/w3m should not use RAND_egd as it is absent in FreeBSD
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: MANTANI Nobutaka
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-13 15:03 UTC by Vsevolod Stakhov
Modified: 2014-08-03 12:06 UTC (History)
1 user (show)

See Also:


Attachments
remove egd (884 bytes, text/plain)
2014-07-13 15:03 UTC, Vsevolod Stakhov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vsevolod Stakhov freebsd_committer 2014-07-13 15:03:15 UTC
Created attachment 144635 [details]
remove egd

www/w3m should not use RAND_egd as it is absent in FreeBSD, the patch attached removes that behaviour from the port.
Comment 1 Jens K. Loewe 2014-07-16 10:56:29 UTC
This patch also fixes LibreSSL compatibility for me. Confirmed to work on FreeBSD 10.0-RELEASE.
Comment 2 MANTANI Nobutaka freebsd_committer 2014-08-03 12:06:32 UTC
Fixed by r363883.
http://svnweb.freebsd.org/changeset/ports/363883